Subject: bug#8714: 23.3.50; Flymake kills my computer on mass revert

From: [email-masked] (João Távora)
Date: Fri, 03 Nov 2017 11:58:03 +0000

Reuben Thomas <[email-masked]> writes:

> If I have a lot of buffers open with flymake switched on, and I git
> checkout a different branch of a project, causing the buffers to
> auto-revert (because I have auto-revert switched on) then my computer is
> slowed down massively by having a new make process started for each and
> every buffer.
>
> Is it reasonable to suggest that flymake should at the very most try to
> recheck buffers that are actually visible, and arguably only the buffer
> being edited; if visible buffers, then maybe an additional safeguard of
> a maximum number of processes to start would be a good idea.

Sorry for the very late reply to this issue.

This was fixed the following commit in the upcoming emacs-26.

   11b37b4a9f..: João Távora 2017-10-09 Be lazy when starting Flymake checks

João